{
	"name": "form/manager/erp-sync/moloni/columns/order_row-sales.json",
	"options": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && x != ncRecData(data.link_rec, colDef.field)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"columns": [
		{
			"change_compare": false,
			"icon": "nc-link-icon",
			"link_field": "ordr.order_id",
			"name": "Row",
			"record_type": "dispatch_note",
			"variable": "id",
			"width": 45
		},
		{
			"name": "Status",
			"variable": "change_status",
			"width": 60
		},
		{
			"field": "ordr.row_number",
			"name": "Rivi",
			"width": 50
		},
		{
			"field": "ordr.json_data.partial_delivery_number",
			"name": "Osatoim.",
			"width": 70
		},
		{
			"field": "ordr.product_id",
			"name": "Tuote",
			"width": 70
		},
		{
			"field": "pr.json_data.project_id",
			"tag_name": "ordr.json_data.moloni.product_id",
			"name": "Moloni product",
			"width": 60
		},
		{
			"field": "ordr.description",
			"name": "Description",
			"width": 60
		},
		{
			"field": "ordr.order_amount",
			"name": "Amount",
			"width": 60
		},
		{
			"field": "ordr.unit_price",
			"formatX": "%'.2f",
			"name": "Unit price",
			"width": 60
		},
		{
			"field": "ordr.price_without_vat",
			"name": "Price vat 0%",
			"width": 80
		},
		{
			"field": "ordr.vat_price",
			"name": "Vat",
			"width": 70
		}
	],
	"columns_not_in_use": [
		{
			"change_compare": false,
			"export": false,
			"field": "ordr.order_id",
			"name": "Order",
			"width": 50
		},
		{
			"change_compare": false,
			"export": false,
			"field": "ordr.record_id",
			"hide": true,
			"name": "Record id",
			"width": 110
		},
		{
			"field": "pr.name",
			"tag_name": "ordr.json_data.moloni.product_name",
			"name": "Name",
			"width": 60
		}
	]
}
